> ## Documentation Index
> Fetch the complete documentation index at: https://sigma-docs.pastelhq.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Corporate Customer

> ```
POST api/v1/cdd/customers
```


<Note>
  This endpoint is for creating **corporate** customers. For individual customers, see [Create Individual Customer](create-customer).
</Note>


## OpenAPI

````yaml cdd-customer-corporate-model.json POST /cdd/customers
openapi: 3.1.0
info:
  title: Sigma CDD API - Create Corporate Customer
  version: 1.0.0
servers:
  - url: https://sigmacdd.sabipay.com/api/v1
    description: Production
security:
  - ApiKey: []
    ApiSecret: []
paths:
  /cdd/customers:
    post:
      summary: Create Corporate Customer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CorporateCustomerRequest'
            example:
              uniqueId: CUST-CORP-001
              type: corporate
              channel: branch
              businessName: Pastel Technologies Ltd
              registrationNumber: RC1234567
              taxIdentificationNumber: 19876543-0001
              headOfficeAddress: Plot 7, Wuse Zone 4, Abuja, FCT
              incorporationDate: '2018-03-22'
              countryOfIncorporation: Nigeria
              stateOfIncorporation: FCT
              signatories:
                - firstName: Emeka
                  lastName: Nwosu
                  title: Mr
                  middleName: Chidi
                  dob: '1985-07-10'
                  gender: male
                  phone: '+2348023456789'
                  address: 5 Aminu Kano Crescent, Wuse 2, Abuja
                  bvnNumber: '22334455667'
                  ninNumber: '11223344556'
                  passportNumber: B98765432
                  accountNumber: '9876543210'
                  nationality: Nigerian
                  occupation: Chief Executive Officer
                  politicalAffiliation: false
                  politicalPosition: false
                  sourceOfFunds: business income
              directors:
                - firstName: Ngozi
                  lastName: Adeyemi
                  title: Dr
                  dob: '1978-11-30'
                  gender: female
                  phone: '+2347034567890'
                  address: 22 Marina Road, Lagos Island, Lagos
                  bvnNumber: '33445566778'
                  nationality: Nigerian
                  occupation: Non-Executive Director
                  politicalAffiliation: true
                  politicalPosition: false
                  politicalAffiliationRelationship: Spouse of former senator
              groupName: Corporate Clients 2024
      responses:
        '201':
          description: Customer created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateCustomerResponse'
              example:
                message: CDD customer created successfully
                data:
                  _id: 67f50d48c2a7d1f2b6e99390
                  uniqueId: CUST-CORP-001
                  type: corporate
                  businessName: Pastel Technologies Ltd
                  channel: branch
                  status: active
                  createdAt: '2026-03-25T10:25:00.000Z'
        '400':
          description: Validation or business rule failure
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                message: Group type does not match customer type
components:
  schemas:
    CorporateCustomerRequest:
      type: object
      required:
        - uniqueId
        - type
        - businessName
      properties:
        uniqueId:
          type: string
        type:
          type: string
          example: corporate
        channel:
          type: string
        businessName:
          type: string
        registrationNumber:
          type: string
        taxIdentificationNumber:
          type: string
        headOfficeAddress:
          type: string
        incorporationDate:
          type: string
        countryOfIncorporation:
          type: string
        stateOfIncorporation:
          type: string
        signatories:
          type: array
          items:
            $ref: '#/components/schemas/CorporatePerson'
        directors:
          type: array
          items:
            $ref: '#/components/schemas/CorporatePerson'
        groupId:
          type: string
        groupName:
          type: string
      additionalProperties: false
    CreateCustomerResponse:
      type: object
      properties:
        message:
          type: string
        data:
          type: object
          additionalProperties: true
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
    CorporatePerson:
      type: object
      required:
        - firstName
        - lastName
      properties:
        firstName:
          type: string
        lastName:
          type: string
        title:
          type: string
        middleName:
          type: string
        dob:
          type: string
          format: date
        gender:
          type: string
        phone:
          type: string
        address:
          type: string
        bvnNumber:
          type: string
        ninNumber:
          type: string
        passportNumber:
          type: string
        accountNumber:
          type: string
        nationality:
          type: string
        occupation:
          type: string
        politicalAffiliation:
          type: boolean
        politicalPosition:
          type: boolean
        politicalAffiliationRelationship:
          type: string
        sourceOfFunds:
          type: string
      additionalProperties: false
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: apiKey
    ApiSecret:
      type: apiKey
      in: header
      name: apiSecret

````